BlueGriffon doesn't open on 18.3 XFCE 64

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
brvcf
Level 1
Level 1
Posts: 46
Joined: Fri Sep 08, 2017 10:44 pm

BlueGriffon doesn't open on 18.3 XFCE 64

Post by brvcf »

Downloaded the .deb from the BlueGriffon web site.
Appeared to install correctly. No errors.
Synaptic Package Manager says it is installed.
Click on icon in menu and it looks like maybe something runs for a bit but no program window comes up and bluegriffon is not listed as a process.
Using Mint 18.3 XFCE 64 bit with all updates except kernel is at 4.15.0-62-generic
User avatar
MrEen
Level 21
Level 21
Posts: 14991
Joined: Mon Jun 12, 2017 8:39 pm

Re: BlueGriffon doesn't open on 18.3 XFCE 64

Post by MrEen »

Hi brvcf.

Right click on the Menu entry, and select Edit Application....

Now copy whatever is in the Command field and run that in the terminal. Hopefully that might tell us why it isn't starting. Copy the terminal output from running the command here if you need help figuring it out.
brvcf
Level 1
Level 1
Posts: 46
Joined: Fri Sep 08, 2017 10:44 pm

Re: BlueGriffon doesn't open on 18.3 XFCE 64

Post by brvcf »

Code: Select all

owner@Dimension-E521 ~ $ bluegriffon %u
XPCOMGlueLoad error for file /opt/bluegriffon/liblgpllibs.so:
/lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.27' not found (required by /opt/bluegriffon/liblgpllibs.so)
Couldn't load XPCOM.
User avatar
MrEen
Level 21
Level 21
Posts: 14991
Joined: Mon Jun 12, 2017 8:39 pm

Re: BlueGriffon doesn't open on 18.3 XFCE 64

Post by MrEen »

Okay, I found the issue. On the website, it says to download the Ubuntu 16.04 version, but during the install, I saw 18.04 fly by, which uses newer files than we have on 18.3. I ended up with the same error.

You could raise an issue on their github site, or upgrade to Mint 19 and it should work.
Post Reply

Return to “Software & Applications”